v2/shiftsAsk AIget https://shyftplan.com/api/v2/shiftsList all ShiftsQuery Paramsuser_emailstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. E-mail address of the API user.authentication_tokenstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. Authentication token - can be fetched by login action.company_idint32requiredCompany IDpageint32≥ 1Defaults to 1Number of the page of responses to retrieve. First page: 1.per_pageint321 to 1000Defaults to 500Number of responses on each page.updated_afterdate-timeReturn all records which are updated aftercreated_afterdate-timeReturn all records which are created afterupdated_beforedate-timeReturn all records which are updated beforecreated_beforedate-timeReturn all records which are created beforestarts_atdate-timeends_atdate-timeidint32Filter by Shift IDids[]array of int32sFilter by an array of Shift IDsids[]ADD int32shiftplan_idint32Filter by Shiftplan IDtag_ids[]array of int32sFilter by an array of Shift Tag IDstag_ids[]ADD int32without_tagsbooleanFilter shifts without Shift Tagstruefalseassignment_group_ids[]array of int32sFilter by an array of Assignment Groups IDsassignment_group_ids[]ADD int32locations_position_idint32Filter by LocationsPosition IDlocations_position_ids[]array of int32sFilter by an array of LocationsPosition IDslocations_position_ids[]ADD int32employment_idint32Filter by Employment ID. Cannot be used with employment_idsemployment_ids[]array of int32sFilter by an array of Employment IDs. Cannot be used with employment_iPdemployment_ids[]ADD int32only_openbooleanDefaults to falseInclude only open shiftstruefalsewithout_conflictsbooleanDefaults to falseInclude only shifts without conflicts, only_open must be true and current user must be an employee onlytruefalseextended_infobooleanDefaults to falseInclude fields "can_manage", "staff_shifts_count", "staff_shifts_needs_evaluation_count" in the responsetruefalseorder_keystringenumDefaults to idSort by keyidstarts_atAllowed:idstarts_atorder_dirstringenumDefaults to ascSort directionascdescAllowed:ascdescshift_preset_ids[]array of int32sFilter by an array of shift presets. Use 0 or -1 for shifts with custom presetsshift_preset_ids[]ADD int32without_shift_presetsbooleanDefaults to falseInclude shifts with custom presets, can be used with shift_preset_idstruefalseshift_rotation_group_ids[]array of int32sFilter by list of IDs of shift-system groups.shift_rotation_group_ids[]ADD int32not_in_shift_rotation_group_ids[]array of int32sFilter for shifts that do not belong to any of a list of shift-system groups, specified by the groups' IDs.not_in_shift_rotation_group_ids[]ADD int32connected_group_idint32Filter by connected group IDResponses 200Successfully listed 400employment must be an employee if without_conflicts is true\n company_id is missing\n only_open must be true if without_conflicts is true 403forbidden 422The request is invalidUpdated 6 months ago